# Release package for rasperry pi

Name: rocky-release-rpi

# Version is based on the EL it is part of
Version: 10.0
Release: 1%{?dist}
Summary: Rasperry Pi packages for Rocky Linux

# License is based on the Rocky License chosen for the distribution
# and not the software itself
License: BSD-3-Clause

Source0: Rocky-SIG-AltArch-RPi.repo

BuildArch: noarch
BuildRequires: systemd

Requires: rocky-release >= 10.0
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

Requires: rocky-release >= 10
Requires: rocky-release-altarch >= 10
Provides: rocky-release-rpi = 10

%description
This package contains the DNF repo files for Rasperry Pi packages provided
by the Rocky Linux Release Engineering team.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/Rocky-SIG-AltArch-RPi.repo

%post
echo Good

%preun
echo Good

%postun
echo Good

%files
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-AltArch-RPi.repo

%changelog
* Tue May 27 2025 Louis Abel <label@rockylinux.org> - 10.0-1
- init
